<?php
  //invoice.php  
  include('db_con.php');
  include('function.php');
  
  if (isset($_SESSION['user_id'])) {
    $user_type = $_SESSION['user_type'];
    $user_id = $_SESSION['user_id'];
    $user_name = $_SESSION['user_name'];
    $branch_id = $_SESSION['branch_id'];
    $branch_name = $_SESSION['branch_name'];
    $store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
    $user_acc_no = $_SESSION['user_acc_no'];
}else{
  header('Location: login');
  die();
}
$dated = date('Y-m-d');
    
  ?>
<!DOCTYPE html>
<html>
<head>
  <title><?php echo basename(__FILE__, '.php'); ?></title>
  <?php include('include/head.php'); ?>
  <link rel="stylesheet" href="css/datepicker.css">
  <link rel="stylesheet" href="css/jquery.datetimepicker.css">
  <link rel="stylesheet" href="css/jquery.datetimepicker.min.css">
  <link rel="stylesheet" href="css/jquery.jquery-ui.min.css">
  
  
</head>
<body>
  <?php include('include/header.php'); ?>
  <?php include('include/sidebar.php'); ?>
<div class="main-container">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Payables</a></li>
              <li class="breadcrumb-item"><a href="ap_cheque_payment.php">Cheque payment</a></li>
              <li class="breadcrumb-item active">New Cheque payment Voucher </li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
     <span id="alert_action"></span>
            <?php
      if(isset($_GET["add"]))
      {
      ?>
          
       <form method="post" id="data_form">
      <br />
      
        <div class="table-responsive">
          <table class="table table-bordered">
            <tr>
              <td colspan="2" align="center"><h2 style="margin-top:10.5px">New Cheque payment Detail</h2></td>
            </tr>
            <tr>
                <td colspan="2">
                  <div class="row">
                    <div class="col-md-4">  
                      <input type="text" name="dated" id="dated" class="form-control input-sm" readonly value="<?php echo $dated; ?>" AutoComplete="off" required />                
                  
                  
                    </div>
                    <div class="col-md-8">
                 <input type="text" name="description" id="description" class="form-control input-sm description" placeholder="Description" autocomplete="off" />
                   <br />
                   
                    
                     
                    
                    </div>
                  </div>
                   
               
                  
                  <table width="100%"id="item-table" class="table table-bordered">
                   <tr>
                      <th width="5%">Sr#.</th>
                      <th width="25%">To | vendor</th>
                      <th width="20%">From Account</th>
                     <th width="10%">Chq No.</th> 
                     <th width="12%">Chq Date</th>
                     <th width="13%">Status</th>
                      <th width="10%">Amount</th>
                      <th width="5%"></th>
                      
                      
                    </tr>
                   
                   
                    
                  </table>
                  <div align="right">
                    <button type="button" name="add_row" id="add_row" class="form-control btn btn-success btn-xs">+</button>
                  </div>
                  <div align="left">
                    <span>Balance : </span><span id="acc_balance"></span>
                  </div>
                  </td>
                  </tr>
                
             
              <tr>
                <td width="70%" align="right"><b>Total : <b></td><td align="right"><span id="total_amount"></span></b></td>
               
                </tr>
              <tr>
                <td colspan="2"></td>
              </tr>
             
              <tr>
                <td colspan="2" align="center">
                  <input type="hidden" name="total_item" id="total_item" value="0" />
                  <input type="hidden" name="btn_action" id="btn_action"  />
                  <input type="submit" name="btn_save" id="btn_save" class="form-control btn btn-primary btn_save" value="Save" />
                </td>
              </tr>
          </table>
        </div>
      </form>
    
      </div>
             
        
        
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
 
  <!-- /.content-wrapper -->
 
    </div>
    </div>
  <?php include('include/script.php'); ?>
  
  <script src="js/jquery-ui.js"></script>
  <script src="js/jquery-ui.min.js"></script>
  
  
  
</body>
</html>
<script>
$(document).ready(function () {
    $('.btn_save').click(function(event) {
  if(!event.detail || event.detail == 1){ return true; }
  else { return false; }
});
});
</script>
  
 <script>
 
  $(document).ready(function(){
    $(window).keydown(function(event){
    if(event.keyCode == 13) {
    
      event.preventDefault();
    }
  });
    $('#dated').datepicker({
      dateFormat: 'yy-mm-dd',
      changeMonth: true,
      changeYear: true
    });
    
  })
  
  </script>
 <script type="text/javascript">
      $(document).ready(function(){
        var final_total_amt = $('#total_amount').text();
        var count = 0;
        
        $(document).on('click', '#add_row', function(){
          count++;
          $('#total_item').val(count);
          var html_code = '';
          html_code += '<tr id="row_id_'+count+'">';
          html_code += '<td><span id="sr_no">'+count+'</span></td>';          
          html_code += '<td><select name="v_id[]" id="v_id'+count+'" data-srno="'+count+'" class="form-control v_id select2" required><?php echo fill_accounts($connect); ?></select></td>';
          html_code += '<td><select name="acc_no[]" id="acc_no'+count+'" data-srno="'+count+'" class="form-control acc_no select2" required><?php echo fill_bank($connect); ?></select></td>';
          
       
          html_code += '<td><input type="text" name="chq_no[]" id="chq_no'+count+'" data-srno="'+count+'" class="form-control input-sm number_only chq_no" /></td>'; 
            html_code += '<td><input type="text" name=chq_date[]" id="chq_date'+count+'" data-srno="'+count+'" class="form-control input-sm number_only chq_date" value="<?php echo $dated;?>" readonly/></td>'; 
              html_code += '<td><select name="pay_status[]" id="pay_status'+count+'" data-srno="'+count+'" class="form-control pay_status" required><option value="Not Cleared">Not Cleared</option><option value="Cleared">Cleared</option></select></td>';
                html_code += '<td><input type="text" name="amount[]" id="amount'+count+'" data-srno="'+count+'" class="form-control input-sm number_only amount" /></td>';          
          
          html_code += '<td><button type="button" name="remove_row" id="'+count+'" class="form-control btn btn-danger btn-xs remove_row">X</button></td>';
          html_code += '</tr>';
          $('#item-table').append(html_code);
          $('.select2').select2();
          $('#v_id'+count).focus();
          $('#chq_date'+count).datepicker({
            dateFormat: 'yy-mm-dd',
            changeMonth: true,
            changeYear: true
          });
          
        });
        
       $(document).on('click', '.remove_row', function(){
          var row_id = $(this).attr("id");
          var total_item_amount = $('#amount'+row_id).val();
          var final_amount = $('#total_amount').text();
          var result_amount = parseFloat(final_amount) - parseFloat(total_item_amount);
          $('#total_amount').text(result_amount);
          $('#row_id_'+row_id).remove();
          count--;
          $('#total_item').val(count);
        });
        $(document).on('blur', '.chq_no', function(){
        var acc_no = $('#v_id'+count).val();
    
   
    
    $.ajax({
      url:"acc_balance.php",
      method:"POST",
      data:{acc_no:acc_no},
      dataType:"json",
      success:function(data)
      {       
        
        $('#acc_balance').html(data.acc_balance);
        
        
      }
    })
  });
        
        function cal_final_total(count)
        {
        
          var total_amount = 0;
         
          
          for(j=1; j<=count; j++)
          {
            
            
       
            var amount = $('#amount'+j).val();
           
            
            
            
           
            
            
        
            if(amount > 0)
            {
              total_amount = parseFloat(total_amount) + parseFloat(amount);
              
             
               
             
            }
            
          
            
          }
          
        
          $('#total_amount').text(total_amount);
        }
        
       $(document).on('submit', '#data_form',function(event){
            event.preventDefault();
              cal_final_total(count);
              
            $('#btn_save').val('Wait...');
            $('#btn_save').attr('disabled','disabled');
            $('#btn_action').val('save');
            var _data = $(this).serialize();
            $.ajax({
              url:"ap_cheque_payment_action.php",
              method:"POST",
              data:_data,
              success:function(data)
              {
               $('#alert_action').fadeIn().html('<div class="alert alert-success">'+data+'</div>');
               
                window.location = "ap_cheque_payment";
              }
            })
          });
        $(document).on('blur', '.amount', function(){
          cal_final_total(count);
         
        });
   });     
</script>
  <?php
}
?>
